Package org.h2.engine

# Class Session.StaticSettings

java.lang.Object
org.h2.engine.Session.StaticSettings

Enclosing class:
  `Session`

public static final class Session.StaticSettings extends Object
Static settings.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`caseInsensitiveIdentifiers`
Whether all identifiers are case insensitive.
`final boolean`
`databaseToLower`
Whether unquoted identifiers are converted to lower case.
`final boolean`
`databaseToUpper`
Whether unquoted identifiers are converted to upper case.

## Constructor Summary

Constructors
Constructor
Description
`StaticSettings(boolean databaseToUpper, boolean databaseToLower, boolean caseInsensitiveIdentifiers)`
Creates new instance of static settings.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### databaseToUpper

public final boolean databaseToUpper
Whether unquoted identifiers are converted to upper case.

### databaseToLower

public final boolean databaseToLower
Whether unquoted identifiers are converted to lower case.

### caseInsensitiveIdentifiers

public final boolean caseInsensitiveIdentifiers
Whether all identifiers are case insensitive.

## Constructor Details

### StaticSettings

public StaticSettings(boolean databaseToUpper, boolean databaseToLower, boolean caseInsensitiveIdentifiers)
Creates new instance of static settings.

Parameters:
  `databaseToUpper` - whether unquoted identifiers are converted to upper case
  `databaseToLower` - whether unquoted identifiers are converted to lower case
  `caseInsensitiveIdentifiers` - whether all identifiers are case insensitive